# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/1
import argparse
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.kanyikan_recommend import Kanyikanrecommend


def main(log_type, crawler, env):
    if 1 >= datetime.datetime.now().hour >= 0:
        time.sleep(1)
        pass
    else:
        Common.logger(log_type=log_type).info("开始抓取看一看+推荐列表")
        Kanyikanrecommend.get_videoList(log_type=log_type, crawler=crawler, env=env)
        Common.del_logs(log_type=log_type)
        Common.del_charles_files(log_type=log_type)
        Common.logger(log_type).info("抓取完一轮\n")


if __name__ == "__main__":
    parser = argparse.ArgumentParser()  ## 新建参数解释器对象
    parser.add_argument('--log_type', default="recommend")  ## 添加参数,注明参数类型
    parser.add_argument('--crawler', default="kanyikan")  ## 添加参数
    parser.add_argument('--env')  ## 添加参数
    args = parser.parse_args()  ### 参数赋值，也可以通过终端赋值
    main(log_type=args.log_type, crawler=args.crawler, env=args.env)
