#!/bin/bash
#echo "开始"
#echo "$(date "+%Y-%m-%d %H:%M:%S") 正在杀进程..."
## shellcheck disable=SC2009
## ps aux | grep run_kanyikan
#ps aux | grep run_kanyikan_moment.py | grep -v grep | awk '{print $2}' | xargs kill -9
## shellcheck disable=SC2009
#ps aux | grep run_kanyikan_recommend.py | grep -v grep | awk '{print $2}' | xargs kill -9
#echo "$(date "+%Y-%m-%d %H:%M:%S") 进程已杀死！"
#
#echo "$(date "+%Y-%m-%d %H:%M:%S") 正在更新代码..."
#cd /Users/lieyunye/Desktop/crawler/crawler_kanyikan/ && git pull origin master --force
#echo "$(date "+%Y-%m-%d %H:%M:%S") 代码更新完成！"
##source /etc/profile
#echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启服务..."
#nohup python3 -u main/run_kanyikan_recommend.py >>./nohup.log 2>&1 &
#nohup python3 -u main/run_kanyikan_moment.py >>./nohup.log 2>&1 &
#echo "$(date "+%Y-%m-%d %H:%M:%S") 服务重启完毕!"
#echo "$(date "+%Y-%m-%d %H:%M:%S") 请手动启动 Charles，并开启 Auto save 功能；再启动 看一看+ 小程序!"
#exit 0


# **********线下爬虫********** #
log_type=$1
crawler=$2
env=$3          # 爬虫运行环境，正式环境: prod / 测试环境: dev
#echo $env
if [ ${env} = "--env=dev" ];then
  crawler_dir=/Users/wangkun/Desktop/crawler/crawler_kanyikan/
  profile_path=/etc/profile
  log_path=${crawler_dir}logs/process-$(date +%Y-%m-%d).log
else
  crawler_dir=/Users/lieyunye/Desktop/crawler/crawler_kanyikan/
  profile_path=./base_profile
  log_path=${crawler_dir}logs/process-$(date +%Y-%m-%d).log
fi

time=$(date +%H:%M:%S)
#echo "$(date "+%Y-%m-%d %H:%M:%S") 更新环境变量..." >> ${log_path}
#cd ~ && source ${profile_path}
#echo "$(date "+%Y-%m-%d %H:%M:%S") 更新环境变量完成！" >> ${log_path}
echo "$(date "+%Y-%m-%d %H:%M:%S") 正在更新代码" >> ${log_path}
cd /Users/lieyunye/Desktop/crawler/crawler_kanyikan/ && git pull origin master --force
echo "$(date "+%Y-%m-%d %H:%M:%S") 代码更新完成"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在检测看一看推荐爬虫服务状态" >> ${log_path}
ps -ef | grep "run_kanyikan_recommend" | grep -v "grep"
if [ "$?" -eq 1 ];then
  echo "$(date "+%Y-%m-%d %H:%M:%S") 异常停止,正在重启!" >> ${log_path}
  cd ${crawler_dir}
  nohup python3 -u  ${crawler_dir}main/run_kanyikan_recommend.py ${log_type} ${crawler} ${env} >> ${crawler_dir}logs/kanyikan-recommend-nohup.log 2>&1 &
  echo "$(date "+%Y-%m-%d %H:%M:%S") 重启服务完毕!" >> ${log_path}
else
  echo "$(date "+%Y-%m-%d %H:%M:%S") 看一看推荐爬虫进程状态正常" >> ${log_path}
fi

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在检测看一看朋友圈爬虫服务状态" >> ${log_path}
ps -ef | grep "run_kanyikan_moment" | grep -v "grep"
if [ "$?" -eq 1 ];then
  echo "$(date "+%Y-%m-%d %H:%M:%S") 异常停止,正在重启!" >> ${log_path}
  cd ${crawler_dir}
  nohup python3 -u ${crawler_dir}main/run_kanyikan_moment.py >>${crawler_dir}logs/kanyikan-moment-nohup.log 2>&1 &
  echo "$(date "+%Y-%m-%d %H:%M:%S") 重启服务完毕!" >> ${log_path}
else
  echo "$(date "+%Y-%m-%d %H:%M:%S") 看一看朋友圈进程状态正常" >> ${log_path}
fi